<?php

  global $der;
  
  $widgets_enabled = $der->option_bool('enable_footer_widgets');
  
  $copyright_info = $der->option('copyright_info');
  
  $footer_columns = $der->option('footer_columns');
  
  switch ($footer_columns) {
    case 5:
      $widget_class = 'one-fifth column';
      break;
    case 4:
      $widget_class = 'four columns';
      break;
    case 3:
      $widget_class = 'one-third column';
      break;
    case 2: 
      $widget_class = 'eight columns';
      break;
    case 1:
      $widget_class = 'sixteen columns';
      break;
  }
  
  $twitter_enabled = $der->option_bool('twitter_feed');
  
?>

<!-- + -->

<footer role="contentinfo" class="full-width ovh">
<?php

  if ($twitter_enabled):

    $username = $der->option('twitter_username');
    
    $count = $der->option('tweet_count');
    
    $interval = $der->option('tweet_cycle_interval');

?>
  <section id="twitter-feed" class="full-width" <?php if (!$widgets_enabled): printf(' style="z-index: 2"'); endif; ?>>
    <div class="container offset-by-one">
      <div class="tweet sixteen columns" data-username="<?php echo $username; ?>" data-count="<?php echo $count; ?>" data-interval="<?php echo $interval; ?>"><p></p></div>
    </div>
  </section><!-- twitter-feed -->
<?php

  endif;
  
  if ($widgets_enabled):
    
    $mobile_split = ($footer_columns % 2 == 0);
    
    echo "\n".'<div class="container widgets-container">'."\n\n";
    
    for ($i=1; $i <= $footer_columns; $i++):
      
      printf('<div class="widget-column column-%d %s">', $i, $widget_class); ?>

<?php

    dynamic_sidebar(sprintf("Footer C%d", $i));

?>

</div><!-- .widget-column -->

<?php

    endfor;
    
?>
</div><!-- .container -->
<?php

  endif;

?>

<section class="copyright full-width" <?php if (!$widgets_enabled): printf(' style="margin-top: 0;"'); endif; ?>>
  <div class="container">
    <p class="sixteen columns">
      <span><?php
    
      if ($copyright_info): echo $copyright_info;
    
      else: ?>
        Copyright &copy; 2014 Mosconi America &nbsp;
      <?php endif; ?></span>
      <a class="back-to-top float-right" href="#top"><?php _e("Back to top", "theme") ?></a>
    </p>
  </div>
</section>
</footer><!-- footer -->

<?php if ($der->load_maps_api): ?><script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false"></script><?php endif; ?>

<script type="text/javascript" src="<?php echo $der->uri(theme_asset_path('js'), THEME_VERSION); ?>"></script>

<!--[if IE 8 ]>
<script type="text/javascript" src="<?php echo $der->uri('core/js/core.slider.default.js', THEME_VERSION); ?>"></script>
<script type="text/javascript" src="<?php echo $der->uri('core/js/ie8.js', THEME_VERSION); ?>"></script>
<![endif]-->

<?php

  wp_footer();
  
?>

<!-- Site JavaScript -->
<script type="text/javascript">
  document.i18n = {
    enterSearchCriteria: "<?php echo esc_html(__("Enter Search Criteria", "theme")); ?>"
  }
  document.wp_home = "<?php echo home_url(); ?>";
  document.root = "<?php echo $der->uri(); ?>";
  jQuery(document).ready(function() {
    window.Core.initialize();
  });
</script>
<?php
  
  $analytics = $der->option('analytics');
  
  if ($analytics) printf("\n\n<!-- analytics -->\n\n%s\n", $analytics);

?>

</body>
</html>