<?php

  /* Framework Bootstrap */
  
  if (!defined('ABSPATH')) die();

  global $der, $theme_options;
  
  // Add theme support
  add_theme_support('post-thumbnails');
  
  // Actions
  add_action('option_show_on_front', 'override_show_on_front');
  add_action('widgets_init', 'widget_init_callback');
  add_action('init', 'theme_init_callback');
  
  // Load compatibility functions
  require(TEMPLATEPATH . '/framework/compat/theme.php');

  // Theme Features
  load_theme_textdomain("theme", TEMPLATEPATH . '/includes/languages');
  
  // Load theme config
  require(TEMPLATEPATH . '/includes/theme-config.php');
  
  // Load theme nonce values
  define('THEME_NONCE', THEME_ID . '_nonce');
  define('THEME_NONCE_VERIFY', THEME_NONCE . '_verify');

  // Common functions for both admin & site
  require(TEMPLATEPATH . '/framework/core-common.php');
  
  // Load core classes
  require(TEMPLATEPATH . '/framework/classes/class.theme.php');
  require(TEMPLATEPATH . '/framework/classes/class.metabox.php');
  require(TEMPLATEPATH . '/framework/classes/class.form-shortcode.php');
  require(TEMPLATEPATH . '/framework/classes/class.widget-framework.php');

  // Initialize the $der instance
  $der = new Theme();
  
  if ( is_admin() ) {
    
    /* Admin-only components */
    
    // Load core admin functions
    require(TEMPLATEPATH . '/framework/core-admin.php');
    
    // Load core metabox
    require(TEMPLATEPATH . '/framework/core-metabox.php');
  
    // Load layout editor
    require(TEMPLATEPATH . '/framework/layout-editor/layout-editor.php');
  
    // Load social icons manager
    require(TEMPLATEPATH . '/framework/social-icons/social-icons.php');
    
    // Load translator
    require(TEMPLATEPATH . '/framework/translator/translator.php');
    
    // Load admin functions
    require(TEMPLATEPATH . '/includes/theme-admin.php');
  
  } else {
  
    /* Site-only components */
  
    add_action('get_header', 'load_theme_header_file');
  
    // Load core functions
    require(TEMPLATEPATH . '/framework/core-functions.php');
    
    // Load theme functions
    require(TEMPLATEPATH . '/includes/theme-functions.php');
  
  }

  /* Admin & Site components */
  
  // Load image resizer
  require(TEMPLATEPATH . '/framework/lib/mr-image-resize.php');
  
  // Load common functions
  require(TEMPLATEPATH . '/includes/theme-common.php');
  
?>