<?php

  /* Staff Posts */
  
  global $der;
  
  $der->add_post_type(array(
    'slug' => 'person',
    'singular_name' => 'Person',
    'plural_name' => 'People',
    'description' => "Posts used to display your business staff.",
    'columns_callback' => 'person_columns_callback',
    'args' => array(
      'public' => false,
      'show_ui' => true,
      'menu_icon' => $der->uri('core/images/admin/person-post-icon.png', THEME_VERSION),
      'supports' => 'title, editor, thumbnail',
      'labels' => array(
        'menu_name' => "Staff"
      )
    )
  ));
  
  $der->add_taxonomy(array(
    'slug' => 'person-category',
    'post_type' => 'person',
    'singular_name' => "Person Category",
    'plural_name' => "Person Categories",
    'args' => array('hierarchical' => true)
  ));
  
  function person_columns_callback($context, $id=null) { global $der;

    $id = get_the_ID();
    
    // Add new columns
    if (is_array($context)) {

      $cols = array();
      
      foreach ($context as $col => $name) {
        if ($col == 'date') {
          $cols['image'] = "Image";
          $cols['description'] = "Description";
          $cols['category'] = "Category";
          $cols['order'] = "Display Order";
        }
        $cols[$col] = $name;
      }
      
      return $cols;
    
    // Manage Columns
    } else {
    
      switch ($context) { 
        case 'category':
          theme_list_taxonomies_column($id, 'person-category');
          break;
      }
    
    }
  
  }
  
?>