<?php

  add_action('manage_posts_custom_column', 'default_post_columns');
  add_filter('manage_edit-post_columns', 'default_post_columns');

  function default_post_columns($context, $id=null) { global $der;

    $id = get_the_ID();
    $post_type = get_post_type();
    
    // Add new columns
    if (is_array($context)) {

      $cols = array();
      
      foreach ($context as $col => $name) {
        if ($col == 'author') {
          $cols['image'] = "Featured Image";
          $cols['description'] = "Description";
          $cols['layout'] = "Layout";
        }
        $cols[$col] = $name;
      }
      
      return $cols;
    
    // Manage Columns
    } else {
    
      switch ($context) { 
        case 'image':
          $img = $der->post_image();
          if ($img) {
             $size = ($post_type == 'icon-post') ? 50 : 100;
             $thumb = $der->thumb_src($img, $size);
             printf('<a rel="lightbox[gallery]" title="%s" href="%s"><img width="' . $size . '" src="%s" /></a>', get_the_title(), $img, $thumb);
          }
          break;
        case 'description':
        case 'url':
        case 'order':
          echo $der->postmeta($context);
          break;
        case 'layout':
          $layout = $der->postmeta($context);
          
          if (empty($layout) || !$der->layout_exists($layout)) {
            switch (get_post_type()) {
              case 'post':
              case 'portfolio':
                $layout = $der->option('single_layout');
                break;
            }
          }
          
          if ($layout && $der->layout_exists($layout)) {
            printf('<a href="%s#%s">%s</a>', admin_url('admin.php?page=layout-editor'), $layout, $layout);
          }
          break;
      }
    
    }
  
  }

?>