<?php

  function default_slider_component($atts, $content='', $code='') { global $der;

    $defaults = array(
      'gallery' => null,
      'category' => null,
      'portfolio-category' => null,
      'image_limit' => 10,
      'navigation' => true,
      'controls' => true,
      'links' => true,
      'descs' => true,
      'height' => 358,
      'easing' => 'easeInOutQuart',
      'autoplay' => false,
      'pause_on_hover' => true,
      'pause_timeout' => 4000,
      'transition_speed' => 630,
      'initial_transition_speed' => 850,
      'adjust_transition_speed' => 300,
    );
    
    $args = wp_parse_args($atts, $defaults);
    
    $args['width'] = $der->layout->column_widths[$args['slots']];
    
    if (empty($args['height'])) {
      // If width not specified, set a default width based on the divine proportion
      $args['height'] = floor($args['width']*(0.618033988));
    }
    
    // Get gallery postmeta
    $gallery_images = theme_get_gallery_images($args);
    
    if (empty($gallery_images)) return;
    
    extract($args);
    
    // Minimum number of items is 3, due to implementation
    if ($image_limit < 3) $image_limit = 3;
    
    $html = array();

    $html[] = sprintf('
<section class="unique-slider slider-default full-width" data-slider-manager="default" data-height="%d" data-config="easing:%s, autoplay:%s, pauseOnHover:%s, pauseTimeout:%d, links:%s, transitionSpeed:%d, adjustTransitionSpeed:%d, initialTransitionSpeed:%d">
  <div class="workarea hfloat clearfix" style="height: %dpx;">', $height, $easing, bool_to_string($autoplay), bool_to_string($pause_on_hover), $pause_timeout, bool_to_string($links), $transition_speed, $adjust_transition_speed, $initial_transition_speed, $height);

    $counter = 0;

    foreach ($gallery_images as $data) {
      
      if (!empty($data['image'])) {
        
        $image = $data['image'];
        
        // Escape
        if (!empty($data['title'])) $data['title'] = esc_html($data['title']);
        if (!empty($data['description'])) $data['description'] = esc_html($data['description']);
        
        if ($links) {
          if ($descs) {
            // links + descs
            $html[] = sprintf('<img alt="" width="940" height="%d" data-index="%d" data-permalink="%s" data-title="%s" data-description="%s" src="%s" />', $height, $counter, $data['url'], $data['title'], $data['description'], $image);
          } else {
            // links, no descs
            $html[] = sprintf('<img alt="" width="940" height="%d" data-index="%d" data-permalink="%s" data-title="%s" src="%s" />', $height, $counter, $data['url'], $data['title'], $image);
          }
        } else {
          if ($descs) {
            // no links, descs
            $html[] = sprintf('<img alt="" width="940" height="%d" data-index="%d" data-title="%s" data-description="%s" src="%s" />', $height, $counter, $data['title'], $data['description'], $image);
          } else {
            // no links, no descs
            $html[] = sprintf('<img alt="" width="940" height="%d" data-index="%d" data-title="%s" src="%s" />', $height, $counter, $data['title'], $image);
          }
        }
        
        $counter++;
      }

    }
    
    $html[] = '  </div><!-- .workarea -->';
    
    $html[] = sprintf('  <div class="center-box container" style="height: %dpx;">
    <div class="slider-meta sixteen columns">', $height);
  
    $first = $gallery_images[0];
    $html[] = ($descs && !empty($first['description'])) ? '<div class="info">' : '<div class="info no-desc">';
  
    if ($links) {
      $html[] = sprintf('        <h3><a href="%s">%s</a></h3>', $first['url'], $first['title']);
      if ($descs) $html[] = sprintf('        <small><a href="%s">%s</a></small>', $first['url'], $first['description']);
    } else {
      $html[] = sprintf('        <h3><a>%s</a></h3>', $first['title']);
      if ($descs) $html[] = sprintf('        <small><a>%s</a></small>', $first['description']);
    }
    
    wp_reset_query();
    
    $html[] = '  </div><!-- .info -->';
    
    if ($controls) {
      $html[] = '      <ul class="controls hfloat clearfix"></ul>';
    } else {
      $html[] = '      <ul class="controls hfloat clearfix" style="visibility: hidden;"></ul>';
    }
    
    $html[] = '    </div><!-- .slider-meta -->';
    
    if ($navigation) {
      $html[] = '    <span class="direction-nav left hoverable"></span>
      <span class="direction-nav right hoverable"></span>';
    } else {
      $html[] = '    <span class="direction-nav left hoverable" style="visibility: hidden;"></span>
      <span class="direction-nav right hoverable" style="visibility: hidden;"></span>';
    }
    
    $html[] = '  </div><!-- .container -->
    </section><!-- slider -->';

    $html = implode("\n", $html);
    
    return $html;

  }

?>